Delete Advanced Webhook Endpoint
curl --request POST \
--url https://api.velt.dev/v2/workspace/advancedwebhook/endpoints/delete \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"endpointId": "<string>"
}
}
'import requests
url = "https://api.velt.dev/v2/workspace/advancedwebhook/endpoints/delete"
payload = { "data": { "endpointId": "<string>" } }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({data: {endpointId: '<string>'}})
};
fetch('https://api.velt.dev/v2/workspace/advancedwebhook/endpoints/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"status": "success",
"message": "Advanced webhook endpoint deleted successfully.",
"data": {
"endpointId": "ep_2vK9mPzGqLxYwBnRtCdHsJfAeUo",
"deleted": true
}
}
}
Advanced Webhooks
Delete Advanced Webhook Endpoint
POST
/
v2
/
workspace
/
advancedwebhook
/
endpoints
/
delete
Delete Advanced Webhook Endpoint
Use this API to delete a webhook delivery endpoint from a workspace.
This endpoint uses API-key-level auth: pass
x-velt-api-key and x-velt-auth-token as headers. You can obtain these from the Get Auth Tokens endpoint.Advanced webhooks must be enabled for the workspace first via Update Advanced Webhook Config with
{ "isEnabled": true }. Otherwise this endpoint returns a FAILED_PRECONDITION error.Deletion is permanent. The endpoint immediately stops receiving webhook deliveries and its signing secret is invalidated.
Endpoint
POST https://api.velt.dev/v2/workspace/advancedwebhook/endpoints/delete
Headers
string
required
Your API key.
string
required
Your Auth Token.
Body
Params
object
required
Show properties
Show properties
string
required
The ID of the endpoint to delete (returned by the create and list endpoints).
Example Request
{
"data": {
"endpointId": "ep_2vK9mPzGqLxYwBnRtCdHsJfAeUo"
}
}
Example Response
Success Response
{
"result": {
"status": "success",
"message": "Advanced webhook endpoint deleted successfully.",
"data": {
"endpointId": "ep_2vK9mPzGqLxYwBnRtCdHsJfAeUo",
"deleted": true
}
}
}
Failure Response
{
"error": {
"status": "NOT_FOUND",
"message": "Advanced webhook provider request failed."
}
}
Failure Response (advanced webhooks disabled)
{
"error": {
"status": "FAILED_PRECONDITION",
"message": "Advanced webhooks are disabled for this workspace. Enable them via POST /v2/workspace/advancedwebhookconfig/update with { \"isEnabled\": true }."
}
}
{
"result": {
"status": "success",
"message": "Advanced webhook endpoint deleted successfully.",
"data": {
"endpointId": "ep_2vK9mPzGqLxYwBnRtCdHsJfAeUo",
"deleted": true
}
}
}
Was this page helpful?
⌘I

